Bug 696856 - clamav does not obsolete older packages
Summary: clamav does not obsolete older packages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: clamav
Version: el5
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Steven Pritchard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-15 02:33 UTC by Neal Godfrey
Modified: 2011-05-14 00:05 UTC (History)
6 users (show)

Fixed In Version: clamav-0.97-13.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-13 23:56:53 UTC


Attachments (Terms of Use)

Description Neal Godfrey 2011-04-15 02:33:32 UTC
Description of problem:


Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
clamav is needed by (installed) clamav-server-0.93-2.i386
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])

Comment 1 Jakub Hrozek 2011-04-15 06:43:51 UTC
This is definitely not a c-ares bug. Reassigning to clamav from EPEL.

Comment 2 Jan-Frode Myklebust 2011-04-15 11:42:51 UTC
Could you please attach the full "yum update" output ?

Comment 3 Milan Kerslager 2011-04-26 05:16:15 UTC
Transaction Check Error:
  file /etc/rc.d/init.d/clamav-milter from install of clamav-milter-0.97-12.el5.x86_64 conflicts with file from package clamav-milter-sysvinit-0.95.1-1.1.el5.x86_64

# rpm -qa clamav\*
clamav-data-0.95.1-1.1.el5.x86_64
clamav-update-0.95.1-1.1.el5.x86_64
clamav-server-0.95.1-1.1.el5.x86_64
clamav-lib-0.95.1-1.1.el5.x86_64
clamav-server-sysvinit-0.95.1-1.1.el5.x86_64
clamav-0.95.1-1.1.el5.x86_64
clamav-filesystem-0.95.1-1.1.el5.x86_64
clamav-milter-sysvinit-0.95.1-1.1.el5.x86_64
clamav-milter-0.95.1-1.1.el5.x86_64

So clamav-milter should obsolete clamav-milter-sysvinit.

Comment 4 Milan Kerslager 2011-04-26 05:19:58 UTC
The fix for above deperror is:

rpm -e clamav-milter-sysvinit --nodeps
yum update

The SPEC file should contain in clamav-milter subsection:

Obsoletes: clamav-milter-sysvinit

Comment 5 Jan-Frode Myklebust 2011-04-26 06:58:53 UTC
Thanks! 

Added:

Provides: clamav-milter-sysvinit = %{version}-%{release}
Obsoletes: clamav-milter-sysvinit < %{version}-%{release}


and am building this as v0.97-13 now.

Comment 6 Fedora Update System 2011-04-26 07:06:18 UTC
clamav-0.97-13.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/clamav-0.97-13.el5

Comment 7 Fedora Update System 2011-04-26 09:18:41 UTC
clamav-0.97-13.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/clamav-0.97-13.el6

Comment 8 Fedora Update System 2011-04-26 09:19:20 UTC
clamav-0.97-13.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/clamav-0.97-13.el4

Comment 9 Fedora Update System 2011-04-26 16:26:29 UTC
Package clamav-0.97-13.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing clamav-0.97-13.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/clamav-0.97-13.el6
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2011-05-13 23:56:48 UTC
clamav-0.97-13.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-05-13 23:59:15 UTC
clamav-0.97-13.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-05-14 00:05:01 UTC
clamav-0.97-13.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.